%global svn_rev 1143

Name:           lcd4linux
Version:        0.11
# We package an svn snapshot of what will become 0.11 since upstream has
# neglected to do a new release for ages
Release:        0.2.svn%{svn_rev}%{?dist}
Summary:        Display system state on an external LCD display
Group:          Applications/System
License:        GPLv2+
URL:            http://ssl.bulix.org/projects/lcd4linux/
# This is the non rpmbuild parsable url:
# http://ssl.bulix.org/projects/lcd4linux/changeset/1143/trunk?old_path=%2F&format=zip
# Note replace 1143 with svn_rev!
Source0:        lcd4linux-trunk-1143.zip
# Courtesey of Debain
Source1:        lcd4linux.8
Source2:        lcd4X11.sh
Source3:        lcd4X11.desktop
Source4:        README.fedora
Patch0:         lcd4linux-wireless.patch
Patch1:         lcd4linux-hwmon.patch
Patch2:         lcd4linux-st2205-width-height-swap.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gd-devel ncurses-devel libX11-devel libICE-devel sqlite-devel
BuildRequires:  serdisplib-devel libusb-devel libftdi-devel libst2205-devel
BuildRequires:  libvncserver-devel gettext-devel dbus-devel
BuildRequires:  libtool desktop-file-utils

%description
LCD4Linux is a small program that grabs information from the kernel
and some subsystems and displays it on an external liquid crystal display.


%prep
%setup -q -n trunk
%patch0 -p1
%patch1 -p1
%patch2 -p1
chmod +x bootstrap configure
./bootstrap
cp -a %{SOURCE4} .


%build
%configure
make %{?_smp_mflags}
sed -e "s@#Display 'XWindow'@Display 'XWindow'@" \
    -e "s@Display 'GLCD2USB'@#Display 'GLCD2USB'@" \
    -e "s@Layout 'TestLayer'@#Layout 'TestLayer'@" \
    -e "s@#Layout 'Default'@Layout 'Default'@" \
    lcd4linux.conf.sample > lcd4X11.conf
touch -r lcd4linux.conf.sample lcd4X11.conf


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 lcd4X11.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 644 lcd4linux.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/lcd4X11
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE3}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README.fedora lcd4linux.conf.sample
%config(noreplace) %{_sysconfdir}/lcd4X11.conf
%{_bindir}/%{name}
%{_bindir}/lcd4X11
%{_mandir}/man8/%{name}.8*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/lcd4X11.desktop


%changelog
* Tue Feb 22 2011 Hans de Goede <hdegoede@redhat.com> - 0.11-0.2.svn1143
- Add missing BuildRequires: gettext-devel dbus-devel libvncserver-devel
- Drop BuildRequires: libmpdclient-devel, the mpd plugin does not work
  with recent versions of libmpdclient

* Sat Feb 19 2011 Hans de Goede <hdegoede@redhat.com> - 0.11-0.1.svn1143
- Initial Fedora package
